Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util
Class NumericUtils.IntRangeBuilder

    java.lang.Object
      org.apache.lucene.util.NumericUtils.IntRangeBuilder

Enclosing class:
  NumericUtils

    public abstract static class NumericUtils.IntRangeBuilder

extends Object

Callback for `NumericUtils.splitIntRange(org.apache.lucene.util.NumericUtils.IntRangeBuilder, int, int, int)`. You need to overwrite only one of the methods.

Since:
  2.9, API changed non backwards-compliant in 4.0
NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Constructor Summary
`NumericUtils.IntRangeBuilder()`

Method Summary
`void` | `addRange(BytesRef minPrefixCoded, BytesRef maxPrefixCoded)` Overwrite this method, if you like to receive the already prefix encoded range bounds.
`void` | `addRange(int min, int max, int shift)` Overwrite this method, if you like to receive the raw int range bounds.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumericUtils.IntRangeBuilder

    public NumericUtils.IntRangeBuilder()

Method Detail

### addRange

    public void addRange(BytesRef minPrefixCoded,
                         BytesRef maxPrefixCoded)

  Overwrite this method, if you like to receive the already prefix encoded range bounds. You can directly build classical range (inclusive) queries from them.

### addRange

    public void addRange(int min,
                         int max,
                         int shift)

  Overwrite this method, if you like to receive the raw int range bounds. You can use this for e.g. debugging purposes (print out range bounds).

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.